> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch the FAQ template for a knowledge base

> Returns a list of frequently asked questions along with their answers



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/common/api.json get /kb/v1/knowledge-bases/{id}/faq-template
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /kb/v1/knowledge-bases/{id}/faq-template:
    get:
      tags:
        - Knowledge Bases
      summary: Fetch the FAQ template for a knowledge base
      description: Returns a list of frequently asked questions along with their answers
      operationId: getKnowledgeBaseFAQTemplate
      parameters:
        - name: id
          in: path
          required: true
          description: The unique ID of the knowledge base.
          schema:
            type: string
      responses:
        '200':
          description: >-
            FAQ data exists for the queried knowledge base and is fetched
            successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeBaseFAQTemplateDTO'
      security:
        - bearer: []
components:
  schemas:
    KnowledgeBaseFAQTemplateDTO:
      type: object
      properties:
        faq:
          type: array
          items:
            $ref: '#/components/schemas/KnowledgeBaseQNADTO'
    KnowledgeBaseQNADTO:
      type: object
      properties:
        id:
          type: string
          example: 6789abcdef01234567890abc
          description: A unique identifier for the QnA entry
        question:
          type: string
          example: What is the address of your clinic?
          description: A question in the FAQ collection
        answer:
          type: string
          example: 12345 Elm Street, Springfield, CA 12345, USA
          description: A short, human-readable answer to the corresponding question
        category:
          type: string
          example: General Enquiry
          default: ''
          description: >-
            An optional, human-readable string denoting the category of the
            question.
        updatable:
          type: boolean
          default: true
          description: >-
            A boolean flag denoting whether the crawler should try to find an
            updated answer to the question from the crawled web pages and
            documents.
      required:
        - id
        - question
        - answer
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````